libnvme(2)

NAME
enum nvme_id_ctrl_plsi - Power Loss Signaling Information

SYNOPSIS
enum nvme_id_ctrl_plsi {
NVME_CTRL_PLSI_PLSEPF_SHIFT ,
NVME_CTRL_PLSI_PLSFQ_SHIFT ,
NVME_CTRL_PLSI_PLSEPF_MASK ,
NVME_CTRL_PLSI_PLSFQ_MASK

};

Constants

NVME_CTRL_PLSI_PLSEPF_SHIFT
    Shift amount to get the PLS Emergency Power Fail from the struct nvme_id_ctrl.plsi field.

NVME_CTRL_PLSI_PLSFQ_SHIFT
    Shift amount to get the PLS Forced Quiescence from the struct nvme_id_ctrl.plsi field.

NVME_CTRL_PLSI_PLSEPF_MASK
    Mask to get the PLS Emergency Power Fail from the struct nvme_id_ctrl.plsi field.

NVME_CTRL_PLSI_PLSFQ_MASK
    Mask to get the PLS Forced Quiescence from the struct nvme_id_ctrl.plsi field.